> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statistics for a specified inverter

> Retrieve savings and consumption data for a specified inverter, allowing filtering by
    keywords and aggregation by various time resolutions.This endpoint is currently in Alpha
    release and should only be used for testing.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/statistics
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/statistics:
    get:
      tags:
        - User Solar Inverters
      summary: Get statistics for a specified inverter
      description: >-
        Retrieve savings and consumption data for a specified inverter, allowing
        filtering by
            keywords and aggregation by various time resolutions.This endpoint is currently in Alpha
            release and should only be used for testing.
      operationId: >-
        integrations_api_api_v2_organizations_users_inverters_router_get_inverter_statistics
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID
        - in: path
          name: user_id
          schema:
            description: The user ID
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID
        - in: path
          name: inverter_id
          schema:
            description: The inverter ID
            format: uuid
            title: Inverter Id
            type: string
          required: true
          description: The inverter ID
        - in: query
          name: resolution
          schema:
            default: 1DAY
            description: >-
              The time interval for aggregating data. Comma Seperated list.
              Supported values: 1DAY, 1WEEK,
                      1MONTH, 1QUARTER, 1YEAR
            title: Resolution
            type: string
          required: false
          description: >-
            The time interval for aggregating data. Comma Seperated list.
            Supported values: 1DAY, 1WEEK,
                    1MONTH, 1QUARTER, 1YEAR
        - in: query
          name: keywords
          schema:
            description: >-
              A comma-separated list of keywords. Supported values: savings,
              consumption
            title: Keywords
            type: string
          required: false
          description: >-
            A comma-separated list of keywords. Supported values: savings,
            consumption
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsResponse'
      security:
        - OAuth2: []
components:
  schemas:
    StatisticsResponse:
      properties:
        metadata:
          $ref: '#/components/schemas/StatisticsMetadata'
        data:
          items:
            $ref: '#/components/schemas/StatisticsData'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: StatisticsResponse
      type: object
    StatisticsMetadata:
      properties:
        requested_at:
          title: Requested At
          type: string
        query:
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - items:
                  type: string
                type: array
          title: Query
          type: object
        units:
          additionalProperties:
            anyOf:
              - type: string
              - type: number
          title: Units
          type: object
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - requested_at
        - query
        - units
      title: StatisticsMetadata
      type: object
    StatisticsData:
      properties:
        resolution:
          title: Resolution
          type: string
        period:
          $ref: '#/components/schemas/StatisticsPeriod'
        savings:
          anyOf:
            - $ref: '#/components/schemas/SavingsContent'
            - type: 'null'
        consumption:
          anyOf:
            - $ref: '#/components/schemas/ConsumptionContent'
            - type: 'null'
        heat_pump:
          anyOf:
            - $ref: '#/components/schemas/HeatPumpSavingsContent'
            - type: 'null'
        electric_vehicle:
          anyOf:
            - $ref: '#/components/schemas/ElectricVehicleSavingsContent'
            - type: 'null'
        inverter:
          anyOf:
            - $ref: '#/components/schemas/InverterSavingsContent'
            - type: 'null'
      required:
        - resolution
        - period
      title: StatisticsData
      type: object
    StatisticsPeriod:
      properties:
        start_period:
          title: Start Period
          type: string
        end_period:
          title: End Period
          type: string
      required:
        - start_period
        - end_period
      title: StatisticsPeriod
      type: object
    SavingsContent:
      properties:
        total:
          title: Total
          type: number
        percentage:
          title: Percentage
          type: number
      required:
        - total
        - percentage
      title: SavingsContent
      type: object
    ConsumptionContent:
      properties:
        total:
          title: Total
          type: number
      required:
        - total
      title: ConsumptionContent
      type: object
    HeatPumpSavingsContent:
      properties:
        estimated_consumption_wh:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Consumption Wh
      title: HeatPumpSavingsContent
      type: object
    ElectricVehicleSavingsContent:
      properties:
        estimated_consumption_wh:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Consumption Wh
        charge_session_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Charge Session Count
        average_charge_power_w:
          anyOf:
            - type: number
            - type: 'null'
          title: Average Charge Power W
      title: ElectricVehicleSavingsContent
      type: object
    InverterSavingsContent:
      properties:
        solar_production_wh:
          anyOf:
            - type: number
            - type: 'null'
          title: Solar Production Wh
        grid_export_wh:
          anyOf:
            - type: number
            - type: 'null'
          title: Grid Export Wh
      title: InverterSavingsContent
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````